extends ../layout

block content
  link(rel='stylesheet', href='/stylesheets/background.css')
  script(src='/javascripts/scriptTable.js')
  script(src='/javascripts/jquery-3.2.1.js')
  script(src='/javascripts/interact.min.js')
  


  nav.navbar.navbar-inverse.navbar-fixed-top
    .container-fluid
      .navbar-header
        span.navbar-brand Manage Tables
      #navbar.navbar-collapse.collapse
        ul.nav.navbar-nav.navbar-right
          li.active(role='presentation')
            a(href='/api/v1/tables') Home
          li.dropdown(role='presentation')
            a.dropdown-toggle(href='#', data-toggle='dropdown', role='button', aria-haspopup='true', aria-expanded='false')
              |Tables 
              span.caret
            ul.dropdown-menu.create
              li
                a(class='create_tale' href='#') Add Table
          li.dropdown(role='presentation')
            a.dropdown-toggle(href='#', data-toggle='dropdown', role='button', aria-haspopup='true', aria-expanded='false')
              |Waiters 
              span.caret
            ul.dropdown-menu
              li
                a(href='/api/v1/users') Manage Waiters
          li.dropdown(role='presentation')
            a.dropdown-toggle(href='#', data-toggle='dropdown', role='button', aria-haspopup='true', aria-expanded='false')
              |Dishes 
              span.caret
            ul.dropdown-menu
              li
                a(href='/api/v1/dishes') Manage Dishes
          li.dropdown(role='presentation')
            a.dropdown-toggle(href='#', data-toggle='dropdown', role='button', aria-haspopup='true', aria-expanded='false')
              |Earnings 
              span.caret
            ul.dropdown-menu
              li
                a(href='/api/v1/tables/sales') Earnings by tables      
                a(href='/api/v1/users/earnings') Earnings by Waiters      
          li.dropdown(role='presentation')
            a.dropdown-toggle(href='#', data-toggle='dropdown', role='button', aria-haspopup='true', aria-expanded='false')
              |BackGround 
              span.caret
            ul.dropdown-menu.back-ground
              li
                a(class='change' href='#') Change BackGround                   
          li
            a(href='/api/v1/users/logout') Log Out        

  h1 Tables
    div.col-md-2  
      br
      br   
      div#panel.panel.panel-default
        div.panel-heading
          h3.panel-title Select BackGround Image
        div.panel-body
          form(action="/api/v1/backgrounds" method="POST" encType="multipart/form-data")
            input#id(type="hidden",name="id")
            label(for="fileToUpload")
              img#img(src="https://vignette4.wikia.nocookie.net/uncyclopedia/images/2/21/RandomImage.png/revision/latest?cb=20061224061022")
            input#fileToUpload(type="file" name="background" required=true)
            button#save.btn.btn-success.btn-lg.btn-block Save
          
          button#cancel.btn.btn-warning.btn-lg.btn-block(value="asd") Cancel
      br
      div.conten

    div.col-md-10
      div#marco
        

    //- button#open popup  
    .popup(style='display: none;')
      .content-popup
        .close
          a.close(href='#')
            img.imgStyle(src="/images/close.png")    
        div
          h2#waiter
        div
          div.form-group
            h2 Add dish
            select#selectDish.form-control
            hr
            button#addDish.btn.btn-default.btn-lg.btn-block Add Dish
            //input.form-control(id="typeahead-input" type="text" data-provide="typeahead")
            //input.typeahead.form-control(data-provide="typeahead",placeholder='Enter A')        
        div
          h2 Dishes
        div
          table#datos.table
            tr
              th Dish
              th Price
              th Cant
              

    .popup1(style='display: none;')
      .content-popup
        .close
          a#close(href='#')
            img.imgStyle(src="/images/close.png")
        div
          h2 Asignar Mesero
        div.row
          div.col-md-4 
          div.col-md-4
            div#loadSales 
          div.col-md-4 
         

    .popupFactura(style='display: none;')
      .content-popup
        .close
          a#close(href='#')
            img.imgStyle(src="/images/close.png")
        div
          h2 Factura

        div#loadFactura
          h1#waiterName 
          table#LoadDishes.table
            tr
              th Product
              th Price
              th Cant
              th Total
            tr
              th Total Pagar
          div.row
          div.col-md-4 
          div.col-md-4
          div#divActionPay
          div.col-md-4 
            

    div#context
      ul#list
        li
          a#showSales Mostrar Factura
        li
          a#deleteTable Eliminar Mesa  
        li
          a#trueTable Desocupar Mesa  
        li#assingSales
          a#assingSale Asignar Mesero    

    .popupPay(style='display: none')
      .content-popup
        .close
          a#close(href='#')
            img.imgStyle(src="/images/close.png")
        div
          h2 Pay Divided
        div
          h3 Cant person to Pay:
          input#inputNumberDiv(type='number', name='quantity', min='2', max='30')
          button.btn.btn-primary#btnPayDivi Pay
          p#unitPay

          
  .popup-overlay(style='display: none; height: 985px;')


  script(src='/javascripts/script.js')
  script(src='/javascripts/ajaxTable.js')
  script(src='/javascripts/ajaxUser.js')
  script(src='/javascripts/ajaxDishes.js')
  script(src='/javascripts/showSale.js')
  
  
  
  
